| LPCOpen Platform v1.03 LPCOpen Platform for NXP LPC Microcontrollers

- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions
os_cpu_c_m0.c File Reference
`#include <os.h>`

Go to the source code of this file.

## Macros
#define | OS_CPU_GLOBALS

## Functions
void | OSIdleTaskHook (void)
void | OSInitHook (void)
void | OSStatTaskHook (void)
void | OSTaskCreateHook (OS_TCB *p_tcb)
void | OSTaskDelHook (OS_TCB *p_tcb)
void | OSTaskReturnHook (OS_TCB *p_tcb)
CPU_STK * | OSTaskStkInit (OS_TASK_PTR p_task, void *p_arg, CPU_STK *p_stk_base, CPU_STK *p_stk_limit, CPU_STK_SIZE stk_size, OS_OPT opt)
void | OSTaskSwHook (void)
void | OSTimeTickHook (void)
CPU_DATA | CPU_CntLeadZeros (CPU_DATA val)
void | OS_CPU_SysTickHandler (void)
void | OS_CPU_SysTickInit (CPU_INT32U cnts)

## Macro Definition Documentation

#define OS_CPU_GLOBALS

Definition at line 35 of file os_cpu_c_m0.c.

## Function Documentation

CPU_DATA CPU_CntLeadZeros | ( | CPU_DATA | val | ) |

Definition at line 349 of file os_cpu_c_m0.c.

void OS_CPU_SysTickHandler | ( | void |  | ) |

Definition at line 371 of file os_cpu_c_m0.c.

void OS_CPU_SysTickInit | ( | CPU_INT32U | cnts | ) |

Definition at line 399 of file os_cpu_c_m0.c.

void OSIdleTaskHook | ( | void |  | ) |

Definition at line 63 of file os_cpu_c_m0.c.

void OSInitHook | ( | void |  | ) |

Definition at line 86 of file os_cpu_c_m0.c.

void OSStatTaskHook | ( | void |  | ) |

Definition at line 114 of file os_cpu_c_m0.c.

void OSTaskCreateHook | ( | OS_TCB * | p_tcb | ) |

Definition at line 137 of file os_cpu_c_m0.c.

void OSTaskDelHook | ( | OS_TCB * | p_tcb | ) |

Definition at line 162 of file os_cpu_c_m0.c.

void OSTaskReturnHook | ( | OS_TCB * | p_tcb | ) |

Definition at line 188 of file os_cpu_c_m0.c.

CPU_STK* OSTaskStkInit | ( | OS_TASK_PTR | p_task,
|  | void * | p_arg,
|  | CPU_STK * | p_stk_base,
|  | CPU_STK * | p_stk_limit,
|  | CPU_STK_SIZE | stk_size,
|  | OS_OPT | opt
| ) |  |

Definition at line 229 of file os_cpu_c_m0.c.

void OSTaskSwHook | ( | void |  | ) |

Definition at line 283 of file os_cpu_c_m0.c.

void OSTimeTickHook | ( | void |  | ) |

Definition at line 340 of file os_cpu_c_m0.c.